---
lang: en
title: 'API docs: context.describeinjectedproperties'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.describeinjectedproperties.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [describeInjectedProperties](./context.describeinjectedproperties.md)

## describeInjectedProperties() function

Return a map of injection objects for properties

<b>Signature:</b>

```typescript
export declare function describeInjectedProperties(target: Object): MetadataMap<Readonly<Injection>>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  target | <code>Object</code> | The target class for static properties or prototype for instance properties. |

<b>Returns:</b>

`MetadataMap<Readonly<Injection>>`


